MultipleEndpointObserver (Apache CXF JavaDoc 3.6.11 API)

Package org.apache.cxf.transport

## Class MultipleEndpointObserver

- java.lang.Object
- - org.apache.cxf.transport.MultipleEndpointObserver

- All Implemented Interfaces:
    `MessageObserver`

      public class MultipleEndpointObserver
      extends Object
      implements MessageObserver

  This MessageObserver creates an Interceptor chain which adds in the interceptors set on this class and the global Bus interceptors. At somepoint, it is expected that these interceptors will resolve the appropriate Endpoint/Binding combination and continue setting up the chain.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected List<Interceptor<? extends Message>>` | `bindingInterceptors` |
    `protected Bus` | `bus` |
    `static String` | `ENDPOINTS` |
    `protected List<Interceptor<? extends Message>>` | `routingInterceptors` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MultipleEndpointObserver​(Bus bus)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected PhaseInterceptorChain` | `createChain()` |
    `protected Message` | `createMessage​(Message message)` | Give a chance for a Binding to customize their message
    `List<Interceptor<? extends Message>>` | `getBindingInterceptors()` |
    `Set<Endpoint>` | `getEndpoints()` |
    `List<Interceptor<? extends Message>>` | `getRoutingInterceptors()` |
    `void` | `onMessage​(Message message)` | Called for an incoming message, i.e. where the content format(s) is/are source(s).
    `protected void` | `setExchangeProperties​(Exchange exchange, Message m)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ENDPOINTS

          public static final String ENDPOINTS

      See Also:
        Constant Field Values

    - #### bus

          protected Bus bus

    - #### bindingInterceptors

          protected List<Interceptor<? extends Message>> bindingInterceptors

    - #### routingInterceptors

          protected List<Interceptor<? extends Message>> routingInterceptors

  - ### Constructor Detail

    - #### MultipleEndpointObserver

          public MultipleEndpointObserver​(Bus bus)

  - ### Method Detail

    - #### onMessage

          public void onMessage​(Message message)

      Description copied from interface: `MessageObserver`
      Called for an incoming message, i.e. where the content format(s) is/are source(s).
      Specified by:
        `onMessage` in interface `MessageObserver`

    - #### createMessage

          protected Message createMessage​(Message message)

      Give a chance for a Binding to customize their message

    - #### createChain

          protected PhaseInterceptorChain createChain()

    - #### setExchangeProperties

          protected void setExchangeProperties​(Exchange exchange,
                                               Message m)

    - #### getBindingInterceptors

          public List<Interceptor<? extends Message>> getBindingInterceptors()

    - #### getRoutingInterceptors

          public List<Interceptor<? extends Message>> getRoutingInterceptors()

    - #### getEndpoints

          public Set<Endpoint> getEndpoints()